Bug 41788 - Log viewer (console window) needed as an option
Log viewer (console window) needed as an option
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.2
All All
: P3 enhancement with 1 vote (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-03-07 12:08 UTC by Chris Lott
Modified: 2012-01-22 10:56 UTC (History)
1 user (show)



Attachments
Implementation (15.12 KB, patch)
2012-01-21 22:37 UTC, Philippe Mouawad
Details | Diff
Screenshot (138.73 KB, image/png)
2012-01-21 22:37 UTC, Philippe Mouawad
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Lott 2007-03-07 12:08:47 UTC
I am just getting started with Jmeter and at this point nearly everything I try
fails due to my mistakes.  Unfortunately the failures are essentially silent; I
don't see anything in the GUI.  I would like the option of having the JMeter GUI
provide a log viewer, much like the console viewer in Eclipse, and have that
viewer contain all the lines that JMeter merrily writes to its jmeter.log file.
 This would be an enormous help for beginners like me.  This option could be off
by default if that helps for performance reasons.  I agree with your approach of
never having the GUI put up an error dialog, of course not, but a viewer would
be great.  Thanks for listening.
Comment 1 Philippe Mouawad 2012-01-21 22:37:26 UTC
Created attachment 28184 [details]
Implementation

Hello Sebb, Milamber, Rainer,
I implemented this feature.
It works like this:
- A jmeter property called jmeter.loggerPanel.display (defaults to false) enables a new panel
- If set to true, a LogTarget will be installed to get Log Events that will be displayed in the Panel
- A new menu option enables the user to enable/disable the panel
- If enabled Log Events are displayed
- If disabled they are ignored (so no perfs impacts)

I attach screenshot.
There is still a little issue, when I enable the Panel after disabling it, it does not resize itself (if you know the method to call, it will help).
Comment 2 Philippe Mouawad 2012-01-21 22:37:47 UTC
Created attachment 28185 [details]
Screenshot
Comment 3 Philippe Mouawad 2012-01-22 10:46:54 UTC
Date: Sun Jan 22 10:46:11 2012
New Revision: 1234478

URL: http://svn.apache.org/viewvc?rev=1234478&view=rev
Log:
Bug 41788 - Log viewer (console window) needed as an option

Added:
   jmeter/trunk/src/core/org/apache/jmeter/gui/LoggerPanel.java   (with props)
   jmeter/trunk/src/core/org/apache/jmeter/gui/action/LoggerPannelEnableDisable.java   (with props)
Modified:
   jmeter/trunk/bin/jmeter.properties
   jmeter/trunk/src/core/org/apache/jmeter/gui/GuiPackage.java
   jmeter/trunk/src/core/org/apache/jmeter/gui/MainFrame.java
   jmeter/trunk/src/core/org/apache/jmeter/gui/action/ActionNames.java
   jmeter/trunk/src/core/org/apache/jmeter/gui/util/JMeterMenuBar.java
   jmeter/trunk/src/core/org/apache/jmeter/resources/messages.properties
   jmeter/trunk/src/core/org/apache/jmeter/resources/messages_fr.properties
   jmeter/trunk/src/jorphan/org/apache/jorphan/logging/LoggingManager.java
   jmeter/trunk/xdocs/changes.xml
Comment 4 Philippe Mouawad 2012-01-22 10:47:42 UTC
Added a jmeter property to limit the number of characters in the log window
Fixed issue with resizing after enable
Comment 5 Philippe Mouawad 2012-01-22 10:56:37 UTC
Date: Sun Jan 22 10:50:56 2012
New Revision: 1234480

URL: http://svn.apache.org/viewvc?rev=1234480&view=rev
Log:
Bug 41788 - Log viewer (console window) needed as an option
Set disabled by default and limit to 80000 characters

Modified:
   jmeter/trunk/bin/jmeter.properties